Page MenuHome

Random rare crashes in override code - reported by studio
Closed, ResolvedPublicBUG

Description

Studio animators have been facing crashes with overrides of complex characters, when saving .blend file, after an override resync.

Here is a backtrace from @Pablo Fournier (pablico) :

Thread 21 "blender" received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0x7fffc163a700 (LWP 232709)]
pose_channel_in_IK_chain (ob=0x7fffab331408, pchan=0x7fffb64f9808, level=0)
    at /media/data/blender_guest/blender_master/source/blender/blenkernel/intern/action.c:912
912	  for (bone = pchan->bone->childbase.first; bone; bone = bone->next) {
#0  pose_channel_in_IK_chain (ob=0x7fffab331408, pchan=0x7fffb64f9808, level=0)
    at /media/data/blender_guest/blender_master/source/blender/blenkernel/intern/action.c:912
#1  0x000000000379aff2 in BKE_pose_channel_in_IK_chain
    (ob=0x7fffab331408, pchan=0x7fffb64f9808)
    at /media/data/blender_guest/blender_master/source/blender/blenkernel/intern/action.c:923
#2  0x00000000040acdc6 in rna_PoseChannel_has_ik_get (ptr=0x7fffc15df170)
    at /media/data/blender_guest/blender_master/source/blender/makesrna/intern/rna_pose.c:327
#3  0x00000000040b088f in PoseBone_is_in_ik_chain_get (ptr=0x7fffc15df170)
    at /media/data/blender_guest/cmake_debug/source/blender/makesrna/intern/rna_pose_gen.c:1059
--Type <RET> for more, q to quit, c to continue without paging--c
#4  0x0000000003f40f1d in RNA_property_boolean_get (ptr=0x7fffc15df170, prop=0x132f9b40 <rna_PoseBone_is_in_ik_chain>) at /media/data/blender_guest/blender_master/source/blender/makesrna/intern/rna_access.c:2340
#5  0x00000000040bea8d in rna_property_override_diff_default (bmain=0x7fffb9b8ad08, prop_a=0x7fffc15df170, prop_b=0x7fffc15df1b0, mode=0, override=0x7fffab344568, rna_path=0x7fffc15df2b0 "pose.bones[\"ORG-HeelPivot.R\"].is_in_ik_chain", rna_path_len=44, flags=131072, r_override_changed=0x7fffc15df08d) at /media/data/blender_guest/blender_master/source/blender/makesrna/intern/rna_rna.c:1534
#6  0x0000000003f523ec in rna_property_override_diff (bmain=0x7fffb9b8ad08, prop_a=0x7fffc15df170, prop_b=0x7fffc15df1b0, rna_path=0x7fffc15df2b0 "pose.bones[\"ORG-HeelPivot.R\"].is_in_ik_chain", rna_path_len=44, mode=RNA_EQ_STRICT, override=0x7fffab344568, flags=(RNA_OVERRIDE_COMPARE_CREATE | RNA_OVERRIDE_COMPARE_RESTORE), r_report_flags=0x7fffc15df128) at /media/data/blender_guest/blender_master/source/blender/makesrna/intern/rna_access_compare_override.c:344
#7  0x0000000003f53037 in RNA_struct_override_matches (bmain=0x7fffb9b8ad08, ptr_local=0x7fffc15e5598, ptr_reference=0x7fffc15e5628, root_path=0x7fffc15e1380 "pose.bones[\"ORG-HeelPivot.R\"]", root_path_len=29, override=0x7fffab344568, flags=(RNA_OVERRIDE_COMPARE_CREATE | RNA_OVERRIDE_COMPARE_RESTORE), r_report_flags=0x7fffc15e133c) at /media/data/blender_guest/blender_master/source/blender/makesrna/intern/rna_access_compare_override.c:704
#8  0x00000000040be5d5 in rna_property_override_diff_propptr (bmain=0x7fffb9b8ad08, propptr_a=0x7fffc15e5598, propptr_b=0x7fffc15e5628, mode=RNA_EQ_STRICT, no_ownership=false, no_prop_name=false, override=0x7fffab344568, rna_path=0x7fffc15e8a00 "pose.bones", rna_path_len=10, property_type=6, rna_itemname_a=0x7fffc15e5750 "ORG-HeelPivot.R", rna_itemname_b=0x7fffc15e7750 "ORG-HeelPivot.R", rna_itemindex_a=10, rna_itemindex_b=10, flags=196608, r_override_changed=0x7fffc15e87dd) at /media/data/blender_guest/blender_master/source/blender/makesrna/intern/rna_rna.c:1419
#9  0x00000000040bf95f in rna_property_override_diff_default (bmain=0x7fffb9b8ad08, prop_a=0x7fffc15e88c0, prop_b=0x7fffc15e8900, mode=0, override=0x7fffab344568, rna_path=0x7fffc15e8a00 "pose.bones", rna_path_len=10, flags=196608, r_override_changed=0x7fffc15e87dd) at /media/data/blender_guest/blender_master/source/blender/makesrna/intern/rna_rna.c:1897
#10 0x0000000003f523ec in rna_property_override_diff (bmain=0x7fffb9b8ad08, prop_a=0x7fffc15e88c0, prop_b=0x7fffc15e8900, rna_path=0x7fffc15e8a00 "pose.bones", rna_path_len=10, mode=RNA_EQ_STRICT, override=0x7fffab344568, flags=(RNA_OVERRIDE_COMPARE_CREATE | RNA_OVERRIDE_COMPARE_RESTORE), r_report_flags=0x7fffc15e8878) at /media/data/blender_guest/blender_master/source/blender/makesrna/intern/rna_access_compare_override.c:344
#11 0x0000000003f53037 in RNA_struct_override_matches (bmain=0x7fffb9b8ad08, ptr_local=0x7fffc15eec80, ptr_reference=0x7fffc15eed10, root_path=0x7fffc0a476f8 "pose", root_path_len=4, override=0x7fffab344568, flags=(RNA_OVERRIDE_COMPARE_CREATE | RNA_OVERRIDE_COMPARE_RESTORE), r_report_flags=0x7fffc15eaa8c) at /media/data/blender_guest/blender_master/source/blender/makesrna/intern/rna_access_compare_override.c:704
#12 0x00000000040be5d5 in rna_property_override_diff_propptr (bmain=0x7fffb9b8ad08, propptr_a=0x7fffc15eec80, propptr_b=0x7fffc15eed10, mode=RNA_EQ_STRICT, no_ownership=false, no_prop_name=false, override=0x7fffab344568, rna_path=0x7fffc0a476f8 "pose", rna_path_len=4, property_type=5, rna_itemname_a=0x0, rna_itemname_b=0x0, rna_itemindex_a=-1, rna_itemindex_b=-1, flags=196608, r_override_changed=0x7fffc15f1f2d) at /media/data/blender_guest/blender_master/source/blender/makesrna/intern/rna_rna.c:1419
#13 0x00000000040bf4ff in rna_property_override_diff_default (bmain=0x7fffb9b8ad08, prop_a=0x7fffc15f2010, prop_b=0x7fffc15f2050, mode=0, override=0x7fffab344568, rna_path=0x7fffc0a476f8 "pose", rna_path_len=4, flags=196608, r_override_changed=0x7fffc15f1f2d) at /media/data/blender_guest/blender_master/source/blender/makesrna/intern/rna_rna.c:1743
#14 0x0000000003f523ec in rna_property_override_diff (bmain=0x7fffb9b8ad08, prop_a=0x7fffc15f2010, prop_b=0x7fffc15f2050, rna_path=0x7fffc0a476f8 "pose", rna_path_len=4, mode=RNA_EQ_STRICT, override=0x7fffab344568, flags=(RNA_OVERRIDE_COMPARE_CREATE | RNA_OVERRIDE_COMPARE_RESTORE), r_report_flags=0x7fffc15f1fc8) at /media/data/blender_guest/blender_master/source/blender/makesrna/intern/rna_access_compare_override.c:344
#15 0x0000000003f53037 in RNA_struct_override_matches (bmain=0x7fffb9b8ad08, ptr_local=0x7fffc15f41a0, ptr_reference=0x7fffc15f41c0, root_path=0x0, root_path_len=0, override=0x7fffab344568, flags=(RNA_OVERRIDE_COMPARE_CREATE | RNA_OVERRIDE_COMPARE_RESTORE), r_report_flags=0x7fffc15f4194) at /media/data/blender_guest/blender_master/source/blender/makesrna/intern/rna_access_compare_override.c:704
#16 0x000000000332f67c in BKE_lib_override_library_operations_create (bmain=0x7fffb9b8ad08, local=0x7fffab331408) at /media/data/blender_guest/blender_master/source/blender/blenkernel/intern/lib_override.c:1371
#17 0x000000000332f74d in lib_override_library_operations_create_cb (pool=0x7fffaee48708, taskdata=0x7fffab331408) at /media/data/blender_guest/blender_master/source/blender/blenkernel/intern/lib_override.c:1402
#18 0x000000000df8f238 in Task::operator()() const::{lambda()#1}::operator()() const (__closure=0x7fffc15f4310) at /media/data/blender_guest/blender_master/source/blender/blenlib/intern/task_pool.cc:118
#19 0x000000000df8f6b8 in tbb::interface7::internal::delegated_function<Task::operator()() const::{lambda()#1} const, void>::operator()() const (this=0x7fffc15f42a0) at /media/data/blender_guest/lib/linux_centos7_x86_64/tbb/include/tbb/task_arena.h:93
#20 0x0000000003876c85 in tbb::interface7::internal::isolate_within_arena(tbb::interface7::internal::delegate_base&, long) ()
#21 0x000000000df8f43d in tbb::interface7::internal::isolate_impl<void, Task::operator()() const::{lambda()#1} const>(Task::operator()() const::{lambda()#1} const&) (f=...) at /media/data/blender_guest/lib/linux_centos7_x86_64/tbb/include/tbb/task_arena.h:160
#22 0x000000000df8f343 in tbb::interface7::this_task_arena::isolate<Task::operator()() const::{lambda()#1}>(tbb::interface7::internal::return_type_or_void const&) (f=...) at /media/data/blender_guest/lib/linux_centos7_x86_64/tbb/include/tbb/task_arena.h:395
#23 0x000000000df8f26f in Task::operator()() const (this=0x7fffb9c26ec8) at /media/data/blender_guest/blender_master/source/blender/blenlib/intern/task_pool.cc:118
#24 0x000000000df8f690 in tbb::internal::function_task<Task>::execute() (this=0x7fffb9c26ec0) at /media/data/blender_guest/lib/linux_centos7_x86_64/tbb/include/tbb/task.h:1048
#25 0x0000000003884385 in tbb::internal::custom_scheduler<tbb::internal::IntelSchedulerTraits>::process_bypass_loop(tbb::internal::context_guard_helper<false>&, tbb::task*, long) ()
#26 0x000000000388463b in tbb::internal::custom_scheduler<tbb::internal::IntelSchedulerTraits>::local_wait_for_all(tbb::task&, tbb::task*) ()
#27 0x0000000003876997 in tbb::internal::arena::process(tbb::internal::generic_scheduler&) ()
#28 0x000000000387e100 in tbb::internal::market::process(rml::job&) ()
#29 0x000000000388010c in tbb::internal::rml::private_worker::run() ()
#30 0x0000000003880309 in tbb::internal::rml::private_worker::thread_routine(void*) ()
#31 0x00007ffff7f8f609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#32 0x00007ffff796f103 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

This seems to point again to some pose data not being up-to-date...


Slightly different steps leading to the same issue, this is fixed now in master.

Blender Version
Broken: version: 2.90.1, version: 2.92.0 Alpha, branch: master, commit date: 2020-10-22 10:41, hash: rBdea3b8d9844f
Worked: 2.82a (but there is no chain icon on the armature data block, so perhaps it was not even linked back then), 2.83.8 LTS

Short description of error
Blender crashes using make local on an armature of a linked collection with library override.
It does not crash under a certain condition: if you save the file after step 4) below, then revert the file, *don't* click the armature again (it's already active), just continue at step 5) it will not crash.
Reset to factory defaults did not prevent the crash.

Exact steps for others to reproduce the error

  1. Create a collection with e.g. a rigify human meta rig, add some mesh and parent it with automatic weights (might be unnecessary), save file.
  2. Create a new file, link the collection from the original file
  3. Object - Relations - Make Library Override
  4. Select Rig
  5. In the object data properties of the armature, click the chain icon to make local
  6. Crash

Event Timeline

Bastien Montagne (mont29) changed the task status from Needs Triage to Confirmed.Oct 22 2020, 3:19 PM
Bastien Montagne (mont29) triaged this task as High priority.
Bastien Montagne (mont29) created this task.
Bastien Montagne (mont29) changed the subtype of this task from "Report" to "Bug".
Bastien Montagne (mont29) moved this task from Backlog to bcon3: Bugs on the BF Blender (2.91) board.

Conveniently @Bastien Montagne (mont29), @Georg K (georg) posted T81962: Library Override crash: make armature local 11 minutes before this task with clear steps to trigger this crash. ;)

As this task is confirm and claimed already, I will merge T81962 into this one.

Here is my stack trace:

# Blender 2.92.0, Commit date: 2020-10-22 04:28, Hash 6ebb2e5e2b95
bpy.context.space_data.bookmarks_active = 0  # Property
bpy.ops.outliner.item_activate(extend=False, deselect_all=True)  # Operator
bpy.ops.object.delete(use_global=False, confirm=False)  # Operator
Deleted 1 object(s)  # Info
bpy.ops.outliner.item_activate(extend=False, deselect_all=True)  # Operator
bpy.ops.outliner.item_activate(extend=False, deselect_all=True)  # Operator
bpy.ops.object.make_override_library()  # Operator
bpy.ops.outliner.item_activate(extend=False, deselect_all=True)  # Operator
bpy.context.space_data.context = 'DATA'  # Property

# backtrace
Exception Record:

ExceptionCode         : EXCEPTION_ACCESS_VIOLATION
Exception Address     : 0x00007FF7681705B2
Exception Module      : blender.exe
Exception Flags       : 0x00000000
Exception Parameters  : 0x2
	Parameters[0] : 0x0000000000000000
	Parameters[1] : 0x0000000000000020


Stack trace:
blender.exe         :0x00007FF768170560  pose_channel_in_IK_chain C:\blender-git\blender\source\blender\blenkernel\intern\action.c:912
blender.exe         :0x00007FF7685F4EB0  rna_property_override_diff_default C:\blender-git\blender\source\blender\makesrna\intern\rna_rna.c:1536
blender.exe         :0x00007FF7685C43A0  RNA_struct_override_matches C:\blender-git\blender\source\blender\makesrna\intern\rna_access_compare_override.c:704
blender.exe         :0x00007FF7685F8350  rna_property_override_diff_propptr C:\blender-git\blender\source\blender\makesrna\intern\rna_rna.c:1419
blender.exe         :0x00007FF7685F4EB0  rna_property_override_diff_default C:\blender-git\blender\source\blender\makesrna\intern\rna_rna.c:1913
blender.exe         :0x00007FF7685C43A0  RNA_struct_override_matches C:\blender-git\blender\source\blender\makesrna\intern\rna_access_compare_override.c:704
blender.exe         :0x00007FF7685F8350  rna_property_override_diff_propptr C:\blender-git\blender\source\blender\makesrna\intern\rna_rna.c:1419
blender.exe         :0x00007FF7685F4EB0  rna_property_override_diff_default C:\blender-git\blender\source\blender\makesrna\intern\rna_rna.c:1743
blender.exe         :0x00007FF7685C43A0  RNA_struct_override_matches C:\blender-git\blender\source\blender\makesrna\intern\rna_access_compare_override.c:704
blender.exe         :0x00007FF7681C7270  BKE_lib_override_library_operations_create C:\blender-git\blender\source\blender\blenkernel\intern\lib_override.c:1379
tbb.dll             :0x00007FFBB5F651D0  tbb::interface7::internal::isolate_within_arena
blender.exe         :0x00007FF76BE58A10  tbb::internal::function_task<Task>::execute C:\blender-git\lib\win64_vc15\tbb\include\tbb\task.h:1048
tbb.dll             :0x00007FFBB5F737A0  tbb::recursive_mutex::scoped_lock::internal_try_acquire
tbb.dll             :0x00007FFBB5F737A0  tbb::recursive_mutex::scoped_lock::internal_try_acquire
blender.exe         :0x00007FF7684904C0  tbb::internal::task_group_base::wait C:\blender-git\lib\win64_vc15\tbb\include\tbb\task_group.h:168
blender.exe         :0x00007FF7681C6C30  BKE_lib_override_library_main_operations_create C:\blender-git\blender\source\blender\blenkernel\intern\lib_override.c:1441
blender.exe         :0x00007FF76C381620  BKE_undosys_step_push_with_type C:\blender-git\blender\source\blender\blenkernel\intern\undo_system.c:512
blender.exe         :0x00007FF76C381460  BKE_undosys_step_push C:\blender-git\blender\source\blender\blenkernel\intern\undo_system.c:595
blender.exe         :0x00007FF768994450  ED_undo_push C:\blender-git\blender\source\blender\editors\undo\ed_undo.c:117
blender.exe         :0x00007FF7689CAF00  template_id_cb C:\blender-git\blender\source\blender\editors\interface\interface_templates.c:671
blender.exe         :0x00007FF7689B4610  ui_apply_but_funcs_after C:\blender-git\blender\source\blender\editors\interface\interface_handlers.c:953
blender.exe         :0x00007FF7689BE790  ui_handler_region_menu C:\blender-git\blender\source\blender\editors\interface\interface_handlers.c:10776
blender.exe         :0x00007FF76829CF30  wm_handlers_do_intern C:\blender-git\blender\source\blender\windowmanager\intern\wm_event_system.c:2743
blender.exe         :0x00007FF76829C580  wm_handlers_do C:\blender-git\blender\source\blender\windowmanager\intern\wm_event_system.c:2854
blender.exe         :0x00007FF768299AE0  wm_event_do_handlers C:\blender-git\blender\source\blender\windowmanager\intern\wm_event_system.c:3276
blender.exe         :0x00007FF768285420  WM_main C:\blender-git\blender\source\blender\windowmanager\intern\wm.c:479
blender.exe         :0x00007FF767F89560  main C:\blender-git\blender\source\creator\creator.c:524
blender.exe         :0x00007FF76C37B568  __scrt_common_main_seh D:\agent\_work\9\s\src\vctools\crt\vcstartup\src\startup\exe_common.inl:288
KERNEL32.DLL        :0x00007FFBC3577C10  BaseThreadInitThunk
ntdll.dll           :0x00007FFBC3C2CE80  RtlUserThreadStart


Threads:
Thread : 00001a80
ntdll.dll           :0x00007FFBC3C5C130  NtWaitForSingleObject
KERNELBASE.dll      :0x00007FFBC1071E00  WaitForSingleObjectEx
blender.exe         :0x00007FF76B9A9910  IlmThread_2_4::Semaphore::wait
blender.exe         :0x00007FF76B9A90E0  IlmThread_2_4::ThreadPool::numThreads
blender.exe         :0x00007FF76B9A9D90  std::_LaunchPad<std::unique_ptr<std::tuple<void (__cdecl IlmThread_2_4::Thread::*)(void) __ptr64,Il
blender.exe         :0x00007FF76ABA4790  std::_Pad::_Call_func
ucrtbase.dll        :0x00007FFBC0E00F70  beginthreadex
KERNEL32.DLL        :0x00007FFBC3577C10  BaseThreadInitThunk
ntdll.dll           :0x00007FFBC3C2CE80  RtlUserThreadStart


Thread : 000022f4
ntdll.dll           :0x00007FFBC3C5C130  NtWaitForSingleObject
KERNELBASE.dll      :0x00007FFBC1071E00  WaitForSingleObjectEx
blender.exe         :0x00007FF76B9A9910  IlmThread_2_4::Semaphore::wait
blender.exe         :0x00007FF76B9A90E0  IlmThread_2_4::ThreadPool::numThreads
blender.exe         :0x00007FF76B9A9D90  std::_LaunchPad<std::unique_ptr<std::tuple<void (__cdecl IlmThread_2_4::Thread::*)(void) __ptr64,Il
blender.exe         :0x00007FF76ABA4790  std::_Pad::_Call_func
ucrtbase.dll        :0x00007FFBC0E00F70  beginthreadex
KERNEL32.DLL        :0x00007FFBC3577C10  BaseThreadInitThunk
ntdll.dll           :0x00007FFBC3C2CE80  RtlUserThreadStart


Thread : 00002448
ntdll.dll           :0x00007FFBC3C5C130  NtWaitForSingleObject
KERNELBASE.dll      :0x00007FFBC1071E00  WaitForSingleObjectEx
blender.exe         :0x00007FF76B9A9910  IlmThread_2_4::Semaphore::wait
blender.exe         :0x00007FF76B9A90E0  IlmThread_2_4::ThreadPool::numThreads
blender.exe         :0x00007FF76B9A9D90  std::_LaunchPad<std::unique_ptr<std::tuple<void (__cdecl IlmThread_2_4::Thread::*)(void) __ptr64,Il
blender.exe         :0x00007FF76ABA4790  std::_Pad::_Call_func
ucrtbase.dll        :0x00007FFBC0E00F70  beginthreadex
KERNEL32.DLL        :0x00007FFBC3577C10  BaseThreadInitThunk
ntdll.dll           :0x00007FFBC3C2CE80  RtlUserThreadStart


Thread : 00003b68
ntdll.dll           :0x00007FFBC3C5C130  NtWaitForSingleObject
KERNELBASE.dll      :0x00007FFBC1071E00  WaitForSingleObjectEx
blender.exe         :0x00007FF76B9A9910  IlmThread_2_4::Semaphore::wait
blender.exe         :0x00007FF76B9A90E0  IlmThread_2_4::ThreadPool::numThreads
blender.exe         :0x00007FF76B9A9D90  std::_LaunchPad<std::unique_ptr<std::tuple<void (__cdecl IlmThread_2_4::Thread::*)(void) __ptr64,Il
blender.exe         :0x00007FF76ABA4790  std::_Pad::_Call_func
ucrtbase.dll        :0x00007FFBC0E00F70  beginthreadex
KERNEL32.DLL        :0x00007FFBC3577C10  BaseThreadInitThunk
ntdll.dll           :0x00007FFBC3C2CE80  RtlUserThreadStart


Thread : 000044b4
ntdll.dll           :0x00007FFBC3C5C130  NtWaitForSingleObject
KERNELBASE.dll      :0x00007FFBC1071E00  WaitForSingleObjectEx
blender.exe         :0x00007FF76B9A9910  IlmThread_2_4::Semaphore::wait
blender.exe         :0x00007FF76B9A90E0  IlmThread_2_4::ThreadPool::numThreads
blender.exe         :0x00007FF76B9A9D90  std::_LaunchPad<std::unique_ptr<std::tuple<void (__cdecl IlmThread_2_4::Thread::*)(void) __ptr64,Il
blender.exe         :0x00007FF76ABA4790  std::_Pad::_Call_func
ucrtbase.dll        :0x00007FFBC0E00F70  beginthreadex
KERNEL32.DLL        :0x00007FFBC3577C10  BaseThreadInitThunk
ntdll.dll           :0x00007FFBC3C2CE80  RtlUserThreadStart


Thread : 000010c8
ntdll.dll           :0x00007FFBC3C5C130  NtWaitForSingleObject
KERNELBASE.dll      :0x00007FFBC1071E00  WaitForSingleObjectEx
blender.exe         :0x00007FF76B9A9910  IlmThread_2_4::Semaphore::wait
blender.exe         :0x00007FF76B9A90E0  IlmThread_2_4::ThreadPool::numThreads
blender.exe         :0x00007FF76B9A9D90  std::_LaunchPad<std::unique_ptr<std::tuple<void (__cdecl IlmThread_2_4::Thread::*)(void) __ptr64,Il
blender.exe         :0x00007FF76ABA4790  std::_Pad::_Call_func
ucrtbase.dll        :0x00007FFBC0E00F70  beginthreadex
KERNEL32.DLL        :0x00007FFBC3577C10  BaseThreadInitThunk
ntdll.dll           :0x00007FFBC3C2CE80  RtlUserThreadStart


Thread : 00001b68
ntdll.dll           :0x00007FFBC3C5C130  NtWaitForSingleObject
KERNELBASE.dll      :0x00007FFBC1071E00  WaitForSingleObjectEx
blender.exe         :0x00007FF76B9A9910  IlmThread_2_4::Semaphore::wait
blender.exe         :0x00007FF76B9A90E0  IlmThread_2_4::ThreadPool::numThreads
blender.exe         :0x00007FF76B9A9D90  std::_LaunchPad<std::unique_ptr<std::tuple<void (__cdecl IlmThread_2_4::Thread::*)(void) __ptr64,Il
blender.exe         :0x00007FF76ABA4790  std::_Pad::_Call_func
ucrtbase.dll        :0x00007FFBC0E00F70  beginthreadex
KERNEL32.DLL        :0x00007FFBC3577C10  BaseThreadInitThunk
ntdll.dll           :0x00007FFBC3C2CE80  RtlUserThreadStart


Thread : 000047f4
ntdll.dll           :0x00007FFBC3C5C130  NtWaitForSingleObject
KERNELBASE.dll      :0x00007FFBC1071E00  WaitForSingleObjectEx
blender.exe         :0x00007FF76B9A9910  IlmThread_2_4::Semaphore::wait
blender.exe         :0x00007FF76B9A90E0  IlmThread_2_4::ThreadPool::numThreads
blender.exe         :0x00007FF76B9A9D90  std::_LaunchPad<std::unique_ptr<std::tuple<void (__cdecl IlmThread_2_4::Thread::*)(void) __ptr64,Il
blender.exe         :0x00007FF76ABA4790  std::_Pad::_Call_func
ucrtbase.dll        :0x00007FFBC0E00F70  beginthreadex
KERNEL32.DLL        :0x00007FFBC3577C10  BaseThreadInitThunk
ntdll.dll           :0x00007FFBC3C2CE80  RtlUserThreadStart


Thread : 000047b8
ntdll.dll           :0x00007FFBC3C5F9E0  NtWaitForAlertByThreadId
ntdll.dll           :0x00007FFBC3C204B0  RtlSleepConditionVariableSRW
KERNELBASE.dll      :0x00007FFBC105EC60  SleepConditionVariableSRW
MSVCP140.dll        :0x00007FFBB5E9BA50  _crtSetThreadpoolWait
MSVCP140.dll        :0x00007FFBB5E725E0  std::_Winerror_message
MSVCP140.dll        :0x00007FFBB5E725E0  std::_Winerror_message
OpenAL32.dll        :0x00007FFB770A5670  alcGetInteger64vSOFT
OpenAL32.dll        :0x00007FFB77090080  alGetError
OpenAL32.dll        :0x00007FFB77090080  alGetError
ucrtbase.dll        :0x00007FFBC0E00F70  beginthreadex
KERNEL32.DLL        :0x00007FFBC3577C10  BaseThreadInitThunk
ntdll.dll           :0x00007FFBC3C2CE80  RtlUserThreadStart


Thread : 00001d08
ntdll.dll           :0x00007FFBC3C5C130  NtWaitForSingleObject
KERNELBASE.dll      :0x00007FFBC1071E00  WaitForSingleObjectEx
OpenAL32.dll        :0x00007FFB770A5670  alcGetInteger64vSOFT
OpenAL32.dll        :0x00007FFB770A5670  alcGetInteger64vSOFT
OpenAL32.dll        :0x00007FFB77090080  alGetError
ucrtbase.dll        :0x00007FFBC0E00F70  beginthreadex
KERNEL32.DLL        :0x00007FFBC3577C10  BaseThreadInitThunk
ntdll.dll           :0x00007FFBC3C2CE80  RtlUserThreadStart


Thread : 0000240c
ntdll.dll           :0x00007FFBC3C5C130  NtWaitForSingleObject
KERNELBASE.dll      :0x00007FFBC1071E00  WaitForSingleObjectEx
OpenAL32.dll        :0x00007FFB77090080  alGetError
OpenAL32.dll        :0x00007FFB77090080  alGetError
OpenAL32.dll        :0x00007FFB77090080  alGetError
ucrtbase.dll        :0x00007FFBC0E00F70  beginthreadex
KERNEL32.DLL        :0x00007FFBC3577C10  BaseThreadInitThunk
ntdll.dll           :0x00007FFBC3C2CE80  RtlUserThreadStart


Thread : 000037dc
ntdll.dll           :0x00007FFBC3C5CC00  NtWaitForMultipleObjects
KERNELBASE.dll      :0x00007FFBC10829E0  WaitForMultipleObjectsEx
combase.dll         :0x00007FFBC1736A40  CStdAsyncStubBuffer_Disconnect
combase.dll         :0x00007FFBC1736A40  CStdAsyncStubBuffer_Disconnect
combase.dll         :0x00007FFBC1736A40  CStdAsyncStubBuffer_Disconnect
KERNEL32.DLL        :0x00007FFBC3577C10  BaseThreadInitThunk
ntdll.dll           :0x00007FFBC3C2CE80  RtlUserThreadStart


Thread : 00002950
ntdll.dll           :0x00007FFBC3C5FA40  NtWaitForWorkViaWorkerFactory
ntdll.dll           :0x00007FFBC3BF38D0  RtlInitializeResource
KERNEL32.DLL        :0x00007FFBC3577C10  BaseThreadInitThunk
ntdll.dll           :0x00007FFBC3C2CE80  RtlUserThreadStart


Thread : 000040a0
ntdll.dll           :0x00007FFBC3C5FA40  NtWaitForWorkViaWorkerFactory
ntdll.dll           :0x00007FFBC3BF38D0  RtlInitializeResource
KERNEL32.DLL        :0x00007FFBC3577C10  BaseThreadInitThunk
ntdll.dll           :0x00007FFBC3C2CE80  RtlUserThreadStart


Thread : 0000458c
ntdll.dll           :0x00007FFBC3C5C130  NtWaitForSingleObject
KERNELBASE.dll      :0x00007FFBC1071E00  WaitForSingleObjectEx
nvoglv64.dll        :0x000000005174B320  DrvValidateVersion
nvoglv64.dll        :0x000000005150806E  Symbols not available


Thread : 00003db4
ntdll.dll           :0x00007FFBC3C5CC00  NtWaitForMultipleObjects
KERNELBASE.dll      :0x00007FFBC10829E0  WaitForMultipleObjectsEx
KERNELBASE.dll      :0x00007FFBC10829C0  WaitForMultipleObjects
nvoglv64.dll        :0x000000005177EA20  DrvPresentBuffers
nvoglv64.dll        :0x000000005177EA20  DrvPresentBuffers
nvoglv64.dll        :0x0000000051AC18C0  vk_optimusGetInstanceProcAddr
KERNEL32.DLL        :0x00007FFBC3577C10  BaseThreadInitThunk
ntdll.dll           :0x00007FFBC3C2CE80  RtlUserThreadStart


Thread : 00003ebc
ntdll.dll           :0x00007FFBC3C5CC00  NtWaitForMultipleObjects
KERNELBASE.dll      :0x00007FFBC10829E0  WaitForMultipleObjectsEx
KERNELBASE.dll      :0x00007FFBC10829C0  WaitForMultipleObjects
nvoglv64.dll        :0x000000005177EA20  DrvPresentBuffers
KERNEL32.DLL        :0x00007FFBC3577C10  BaseThreadInitThunk
ntdll.dll           :0x00007FFBC3C2CE80  RtlUserThreadStart


Thread : 00004a38
win32u.dll          :0x00007FFBC0319A70  NtUserMsgWaitForMultipleObjectsEx
USER32.dll          :0x00007FFBC2B61C20  MsgWaitForMultipleObjectsEx
USER32.dll          :0x00007FFBC2B61B60  MsgWaitForMultipleObjects
nvoglv64.dll        :0x000000005174B320  DrvValidateVersion
KERNEL32.DLL        :0x00007FFBC3577C10  BaseThreadInitThunk
ntdll.dll           :0x00007FFBC3C2CE80  RtlUserThreadStart


Thread : 0000036c
ntdll.dll           :0x00007FFBC3C5C130  NtWaitForSingleObject
KERNELBASE.dll      :0x00007FFBC1071E00  WaitForSingleObjectEx
tbb.dll             :0x00007FFBB5F719C0  tbb::thread_bound_filter::try_process_item
tbb.dll             :0x00007FFBB5F719C0  tbb::thread_bound_filter::try_process_item
ucrtbase.dll        :0x00007FFBC0E00F70  beginthreadex
KERNEL32.DLL        :0x00007FFBC3577C10  BaseThreadInitThunk
ntdll.dll           :0x00007FFBC3C2CE80  RtlUserThreadStart


Thread : 00004768
ntdll.dll           :0x00007FFBC3C5C130  NtWaitForSingleObject
KERNELBASE.dll      :0x00007FFBC1071E00  WaitForSingleObjectEx
tbb.dll             :0x00007FFBB5F719C0  tbb::thread_bound_filter::try_process_item
tbb.dll             :0x00007FFBB5F719C0  tbb::thread_bound_filter::try_process_item
ucrtbase.dll        :0x00007FFBC0E00F70  beginthreadex
KERNEL32.DLL        :0x00007FFBC3577C10  BaseThreadInitThunk
ntdll.dll           :0x00007FFBC3C2CE80  RtlUserThreadStart


Thread : 0000165c
ntdll.dll           :0x00007FFBC3C5C130  NtWaitForSingleObject
KERNELBASE.dll      :0x00007FFBC1071E00  WaitForSingleObjectEx
tbb.dll             :0x00007FFBB5F719C0  tbb::thread_bound_filter::try_process_item
tbb.dll             :0x00007FFBB5F719C0  tbb::thread_bound_filter::try_process_item
ucrtbase.dll        :0x00007FFBC0E00F70  beginthreadex
KERNEL32.DLL        :0x00007FFBC3577C10  BaseThreadInitThunk
ntdll.dll           :0x00007FFBC3C2CE80  RtlUserThreadStart


Thread : 0000351c
ntdll.dll           :0x00007FFBC3C5C130  NtWaitForSingleObject
KERNELBASE.dll      :0x00007FFBC1071E00  WaitForSingleObjectEx
tbb.dll             :0x00007FFBB5F719C0  tbb::thread_bound_filter::try_process_item
tbb.dll             :0x00007FFBB5F719C0  tbb::thread_bound_filter::try_process_item
ucrtbase.dll        :0x00007FFBC0E00F70  beginthreadex
KERNEL32.DLL        :0x00007FFBC3577C10  BaseThreadInitThunk
ntdll.dll           :0x00007FFBC3C2CE80  RtlUserThreadStart


Thread : 00004530
ntdll.dll           :0x00007FFBC3C5C130  NtWaitForSingleObject
KERNELBASE.dll      :0x00007FFBC1071E00  WaitForSingleObjectEx
tbb.dll             :0x00007FFBB5F719C0  tbb::thread_bound_filter::try_process_item
tbb.dll             :0x00007FFBB5F719C0  tbb::thread_bound_filter::try_process_item
ucrtbase.dll        :0x00007FFBC0E00F70  beginthreadex
KERNEL32.DLL        :0x00007FFBC3577C10  BaseThreadInitThunk
ntdll.dll           :0x00007FFBC3C2CE80  RtlUserThreadStart


Thread : 00000880
ntdll.dll           :0x00007FFBC3C5C130  NtWaitForSingleObject
KERNELBASE.dll      :0x00007FFBC1071E00  WaitForSingleObjectEx
tbb.dll             :0x00007FFBB5F719C0  tbb::thread_bound_filter::try_process_item
tbb.dll             :0x00007FFBB5F719C0  tbb::thread_bound_filter::try_process_item
ucrtbase.dll        :0x00007FFBC0E00F70  beginthreadex
KERNEL32.DLL        :0x00007FFBC3577C10  BaseThreadInitThunk
ntdll.dll           :0x00007FFBC3C2CE80  RtlUserThreadStart


Thread : 0000101c
ntdll.dll           :0x00007FFBC3C5C130  NtWaitForSingleObject
KERNELBASE.dll      :0x00007FFBC1071E00  WaitForSingleObjectEx
tbb.dll             :0x00007FFBB5F719C0  tbb::thread_bound_filter::try_process_item
tbb.dll             :0x00007FFBB5F719C0  tbb::thread_bound_filter::try_process_item
ucrtbase.dll        :0x00007FFBC0E00F70  beginthreadex
KERNEL32.DLL        :0x00007FFBC3577C10  BaseThreadInitThunk
ntdll.dll           :0x00007FFBC3C2CE80  RtlUserThreadStart


Loaded Modules :
0x00007FF767E60000 2.9.2.0              blender.exe C:\blender-git\build_windows_x64_vc16_Release\source\creator\Release\blender_private.pdb 
0x00007FFBC3BC0000 10.0.18362.1139      ntdll.dll  
0x00007FFBC3560000 10.0.18362.1110      KERNEL32.DLL  
0x00007FFBC1030000 10.0.18362.1139      KERNELBASE.dll  
0x00007FFBC2B40000 10.0.18362.1110      USER32.dll  
0x00007FFBC0310000 10.0.18362.1139      win32u.dll  
0x00007FFBC2E00000 10.0.18362.1         GDI32.dll  
0x00007FFBB5F60000 2019.9.0.0           tbb.dll  
0x00007FFBC03E0000 10.0.18362.1139      gdi32full.dll  
0x00007FFBC0340000 10.0.18362.1110      msvcp_win.dll  
0x00007FFBC0DE0000 10.0.18362.1110      ucrtbase.dll  
0x00007FFBC1F80000 10.0.18362.1110      SHELL32.dll  
0x00007FFBC0610000 10.0.18362.387       cfgmgr32.dll  
0x00007FFBC2D40000 10.0.18362.959       shcore.dll  
0x00007FFBC12E0000 7.0.18362.1          msvcrt.dll  
0x00007FFBBC720000 10.0.18362.1         SHFOLDER.dll  
0x00007FFBB7370000 14.27.29112.0        VCRUNTIME140.dll  
0x00007FFBB5E60000 14.27.29112.0        MSVCP140.dll  
0x00007FFBC2670000 10.0.18362.1110      RPCRT4.dll  
0x00007FFBC1680000 10.0.18362.1139      combase.dll  
0x00007FFBBC710000 14.27.29112.0        VCRUNTIME140_1.dll  
0x00007FFBC0FB0000 10.0.18362.836       bcryptPrimitives.dll  
0x00007FFBC0660000 10.0.18362.1082      windows.storage.dll  
0x00007FFBC33C0000 10.0.18362.959       sechost.dll  
0x00007FFBC3310000 10.0.18362.752       advapi32.dll  
0x00007FFBC0150000 10.0.18362.693       profapi.dll  
0x00007FFBC0100000 10.0.18362.1         powrprof.dll  
0x00007FFBC00F0000                      UMPDC.dll  
0x00007FFBC2CE0000 10.0.18362.1         shlwapi.dll  
0x00007FFBC01A0000 10.0.18362.1110      kernel.appcore.dll  
0x00007FFBC0EE0000 10.0.18362.1         cryptsp.dll  
0x00007FFBC2E30000 10.0.18362.387       WS2_32.dll  
0x00007FFB98160000 10.0.18362.387       OPENGL32.dll  
0x00007FFBC3A20000 10.0.18362.1082      ole32.dll  
0x00007FFB6CC30000 3.7.7150.1013        python37.dll  
0x00007FFB75010000 7.0.0.0              openvdb.dll  
0x00007FFBC2DF0000 10.0.18362.1         PSAPI.DLL  
0x00007FFBC2860000 10.0.18362.387       IMM32.dll  
0x00007FFB6ADD0000 58.54.100.0          avcodec-58.dll  
0x00007FFB6D7B0000 58.29.100.0          avformat-58.dll  
0x00007FFBB5E30000 58.8.100.0           avdevice-58.dll  
0x00007FFB8D820000 56.31.100.0          avutil-56.dll  
0x00007FFBC2790000 10.0.18362.1110      OLEAUT32.dll  
0x00007FFBC05E0000 10.0.18362.267       bcrypt.dll  
0x00007FFBA30C0000 5.5.100.0            swscale-5.dll  
0x0000000070440000 1.0.28.0             libsndfile-1.dll  
0x00007FFB77080000 1.20.1.0             OpenAL32.dll  
0x00007FFB6FEB0000 2.0.12.0             SDL2.dll  
0x000000006ACC0000                      libgmp-10.dll  
0x00007FFBBC6A0000 2019.9.0.0           tbbmalloc_proxy.dll  
0x00007FFBC2EA0000 10.0.18362.1         SETUPAPI.dll  
0x00007FFBB5F40000 10.0.18362.1         AVIFIL32.dll  
0x00007FFBB6C60000 6.10.18362.1139      COMCTL32.dll  
0x00007FFBBA830000 10.0.18362.1         VERSION.dll  
0x00007FFBB5DD0000 10.0.18362.387       GLU32.dll  
0x0000000070680000                      libfftw3-3.dll  
0x00007FFBB0270000 10.0.18362.1049      dbghelp.dll  
0x00007FFBB5D00000 3.5.100.0            swresample-3.dll  
0x00007FFBB2660000 10.0.18362.1         Secur32.dll  
0x00007FFBB5CE0000 10.0.18362.1         AVICAP32.dll  
0x00007FFBBDE40000 10.0.18362.1         WINMM.dll  
0x00007FFBB5B00000 2019.9.0.0           tbbmalloc.dll  
0x00007FFBACF50000 10.0.18362.1         MSACM32.dll  
0x00007FFBAC810000 10.0.18362.1         MSVFW32.dll  
0x00007FFBBDDE0000 10.0.18362.1         WINMMBASE.dll  
0x00007FFBBED40000 10.0.18362.1         dxcore.dll  
0x00007FFBC0000000 10.0.18362.1049      SSPICLI.DLL  
0x00007FFBBE0F0000 10.0.18362.449       uxtheme.dll  
0x00007FFBC15A0000 2001.12.10941.16384  clbcatq.dll  
0x00007FFBB8890000 10.0.18362.387       MMDevApi.dll  
0x00007FFBBFCF0000 10.0.18362.387       DEVOBJ.dll  
0x00007FFBB4D80000 10.0.18362.1110      AUDIOSES.DLL  
0x00007FFBBB0D0000 10.0.18362.1139      wintypes.dll  
0x00007FFBBE210000 10.0.18362.959       resourcepolicyclient.dll  
0x00007FFBC38E0000 10.0.18362.1139      MSCTF.dll  
0x00007FFB9DCF0000 10.0.18362.836       dataexchange.dll  
0x00007FFBBCF10000 10.0.18362.387       d3d11.dll  
0x00007FFBBD170000 10.0.18362.1110      dcomp.dll  
0x00007FFBBEDD0000 10.0.18362.1049      dxgi.dll  
0x00007FFBBE230000 10.0.18362.959       twinapi.appcore.dll  
0x00007FFBBE700000 10.0.18362.267       RMCLIENT.dll  
0x0000000050B60000 23.21.13.9135        nvoglv64.dll  
0x00007FFBBC870000 10.0.18362.1         WTSAPI32.dll  
0x00007FFBC0580000 10.0.18362.1139      WINTRUST.dll  
0x00007FFBC0180000 10.0.18362.1         MSASN1.dll  
0x00007FFBC01C0000 10.0.18362.592       CRYPT32.dll  
0x00007FFBBF130000 10.0.18362.1         ntmarta.dll  
0x00007FFBBE1E0000 10.0.18362.267       dwmapi.dll  
0x00007FFB97360000 3.13.1.30            nvspcap64.dll  
0x00007FFBBFED0000 10.0.18362.836       WINSTA.dll  
0x00007FFBA1610000 10.0.18362.693       TextInputFramework.dll  
0x00007FFBBB290000 10.0.18362.1110      CoreUIComponents.dll  
0x00007FFBBDBF0000 10.0.18362.1049      CoreMessaging.dll  
0x00007FFBC2890000 11.0.18362.1110      iertutil.dll  
0x00007FFB9DAE0000 10.0.18362.997       explorerframe.dll  
0x00007FFBBEBC0000 7.0.18362.815        propsys.dll  
0x00007FFBBF450000 10.0.18362.1         rsaenh.dll  
0x00007FFBBFAB0000 10.0.18362.1         CRYPTBASE.dll  
0x00007FFBB5E20000 3.7.7150.1013        python3.dll  
0x00007FFBB5DC0000 3.7.7150.1013        _hashlib.pyd  
0x00007FFB6D360000 1.1.1.4              libcrypto-1_1.dll  
0x00007FFBB4850000 3.7.7150.1013        _bz2.pyd  
0x00007FFBAC7D0000 3.7.7150.1013        _lzma.pyd  
0x00007FFB6AB00000                      _multiarray_umath.cp37-win_amd64.pyd  
0x00007FFBB1D40000                      _multiarray_tests.cp37-win_amd64.pyd  
0x00007FFBAAD10000 3.7.7150.1013        _ctypes.pyd  
0x00007FFB96AB0000                      lapack_lite.cp37-win_amd64.pyd  
0x00007FFB6A8E0000                      _umath_linalg.cp37-win_amd64.pyd  
0x00007FFB91B90000 3.7.7150.1013        _decimal.pyd  
0x00007FFBACF20000                      _pocketfft_internal.cp37-win_amd64.pyd  
0x00007FFB8F4C0000                      mtrand.cp37-win_amd64.pyd  
0x00007FFBA6D00000                      common.cp37-win_amd64.pyd  
0x00007FFB8FD50000                      bounded_integers.cp37-win_amd64.pyd  
0x00007FFBAC7B0000                      mt19937.cp37-win_amd64.pyd  
0x00007FFBA6AD0000                      bit_generator.cp37-win_amd64.pyd  
0x00007FFBA4D20000                      philox.cp37-win_amd64.pyd  
0x00007FFBA4880000                      pcg64.cp37-win_amd64.pyd  
0x00007FFBA4860000                      sfc64.cp37-win_amd64.pyd  
0x00007FFB8DC30000                      generator.cp37-win_amd64.pyd  
0x00007FFB9FE50000 3.7.7150.1013        pyexpat.pyd  
0x00007FFB69870000                      pyluxcore.pyd  
0x00007FFB8D790000 2.0.4.0              OpenCL.dll  
0x00007FFB62270000                      OpenImageDenoise.dll  
0x00007FFB67C90000 3.2.4.0              embree3.dll  
0x00007FFB67070000                      OpenImageIO.dll  
0x00007FFBA3220000 14.27.29112.0        VCOMP140.DLL  
0x00007FFB9E1F0000 3.7.7150.1013        _socket.pyd  
0x00007FFBB5CD0000 3.7.7150.1013        select.pyd  
0x00007FFB9C830000 3.7.7150.1013        _ssl.pyd  
0x00007FFB88F40000 1.1.1.4              libssl-1_1.dll  
0x00007FFBACA60000 3.7.7150.1013        _queue.pyd  
0x00007FFBBF8E0000 10.0.18362.815       mswsock.dll  
0x00007FFB66D60000 3.7.7150.1013        unicodedata.pyd  
0x00007FFB60FA0000 23.21.13.9135        nvopencl.dll  
0x00007FFB66C40000 23.21.13.9135        nvfatbinaryLoader.dll  
0x00007FFBB8380000 23.21.13.9135        nvapi64.dll  
 
# Python backtrace

Unfortunately, following the steps above still cause a crash in a f73dad211b1d build on my machine.

Debug build states:

Exception thrown: read access violation.
pchan->**bone** was nullptr.

Release stack trace:

The file I made to link the "Rig" collection from, just in case it is useful.

Just FYI @Philipp Oeser (lichtwerk) I was able to use your file and get it to crash.

@Philipp Oeser (lichtwerk) your files crashed Blender if I clicked the Armature object in the Outliner prior to using make local. There is no problem using make local on the object data-block, the armature data-block is the one I can't make local (unless I use the workaround).

Ah, OK, get it now as well (I am on something completely different atm., can check later maybe, bit surprised since the armature is already selected and active? - what does the click in the Outliner do here to prepare the crash?)

Can you guys still confirm that with current master? I really cannot reproduce here...

With the files from T81962: Library Override crash: make armature local I still can, yes.

  • open main.blend
  • click on Armature in the Outliner
  • click the chain icon

Can you guys still confirm that with current master? I really cannot reproduce here...

@Bastien Montagne (mont29) I just built and tested with Blender 2.92.0, Commit date: 2020-10-26 08:17, Hash cd16a5cea867.

It still crashes for me with the same stack trace.

Confirming that it is fixed with rB2c024bd335fe! 👍

Bastien Montagne (mont29) reopened this task as Confirmed.Oct 27 2020, 6:22 PM

Re-opening as Studio here is still experiencing that same crash once in a while, grrrrrrr...

Bastien Montagne (mont29) updated the task description. (Show Details)

For the record, still unable to reproduce the sudio-reported crashes here...

Bastien Montagne (mont29) closed this task as Resolved.Nov 6 2020, 11:46 AM

This seems to have been definitively fixed by rBdb18ba07b502fd6495.